#ifndef MAINWINDOW_HPP
#define MAINWINDOW_HPP

#include <QMainWindow>
#include <QAction>
#include <QMenu>
#include <QString>

#include "WorkArea.hpp"


class MainWindow: public QMainWindow
{
  Q_OBJECT 


private:
  QMenu *fileMenu;
  QMenu *imageMenu;

  QAction *openFileAct;
  QAction *openDirAct;
  QAction *saveAct;
  QAction *exitAct;
  QAction *firstImageAct;
  QAction *previousImageAct;
  QAction *nextImageAct;
  QAction *lastImageAct;

  WorkArea *wa;

  QString filename;

  void createActions ();
  void createMenus ();

		     
private slots:
  void openFile ();
  void save ();
  void firstImage();
  void previousImage();
  void nextImage();
  void lastImage();

  
public:
  MainWindow ();
  
};

#endif
